//@ts-check

import { changeTitle } from "./changeTitle.mjs";
//import { createCustomElement } from "./createCustomElement.mjs";
import { documentMode } from "./documentMode.mjs";
import { documentState } from "./documentState.mjs";
import { fetchMarkdown } from "./fetchMarkdown.mjs";
import { fetchText } from "./fetchText.mjs";
import { generateDomFromString } from "./generateDomFromString.mjs";
import {
  getCurrentHashUrl,
  hasCurrentHashUrl,
  hasNoHashUrl,
} from "./getCurrentHashUrl.mjs";
import { getElementByCSSSelector } from "./getElementByCSSSelector.mjs";
import { getElementById } from "./getElementById.mjs";
import { getFirstTitleContent } from "./getFirstTitleContent.mjs";
import { identity, awaitedIdentity } from "./identity.mjs";
import { html } from "./html.mjs";
import { isExternalUrl } from "./isExternalUrl.mjs";
import { isLocalHost } from "./isLocalHost.mjs";
import { isNotNull } from "./isNotNull.mjs";
import { not } from "./not.mjs";
import {
  onDocumentKeyUp,
  onDocumentKeyDown,
  onDocumentKey,
} from "./onDocumentKey.mjs";
import { print, makeTemplate } from "./print.mjs";
import {
  querySelectorDoc,
  querySelectorParent,
  querySelectorAll,
} from "./querySelectorAll.mjs";
import { rewriteLocalUrls } from "./rewriteLocalUrls.mjs";
import { today } from "./today.mjs";
import { wait } from "./wait.mjs";
import { waitIfLocalHost } from "./waitIfLocalHost.mjs";

export {
  changeTitle,
  documentMode,
  documentState,
  fetchMarkdown,
  fetchText,
  generateDomFromString,
  getCurrentHashUrl,
  hasCurrentHashUrl,
  hasNoHashUrl,
  getElementByCSSSelector,
  getElementById,
  getFirstTitleContent,
  html,
  identity,
  awaitedIdentity,
  isExternalUrl,
  isLocalHost,
  isNotNull,
  not,
  onDocumentKeyUp,
  onDocumentKeyDown,
  onDocumentKey,
  print,
  makeTemplate,
  querySelectorDoc,
  querySelectorParent,
  querySelectorAll,
  rewriteLocalUrls,
  today,
  wait,
  waitIfLocalHost,
};
