# Tickle

Possibly the simplest way to self-publish on the web today.

Tickle is a self-publishing platform with **no build system**, and **no tooling required**.


## What is Tickle?

A small, small, small script that will load markdown files, parse them in the browser, and display them.

Accent is kept on keeping the script aired, readable, and easy to hack.

By default, Tickle will:

1. Read a text file containing a list of posts
2. Load the first post
3. Render the markdown
4. Display the list of links, and the pages

Tickle is small enough that a moderately knowledgeable programmer should be able to make it do whatever they want.


## How do I use Tickle?

1. write markdown files
2. Optional: reference files in a text file called "files.txt" to fill the side navigation
3. upload everything on some server

We have a [neat little UI to help you do all of that](https://git.poto.cafe/yagich/tickle-godot-frontend). You don't have to use it, but it's neat.

Here are more detailed explanations, for different knowledge levels.

- [I do not care about tech stuff, I just want to publish](tutorial-publishers.md)
- [I can write some code, give me detailed explanations](tutorial-hackers.md)

It's important to know that Tickle is an *idea*. Think of it as a specification. We have a few examples listed [here](examples.md)


## FAQ

### Q: Why would I want to use this rather than medium/similar?

**A**: Medium locks your content behind paywalls and spies on users. Other providers have similar issues. If you care about being in control of your data, or not having to deal with embargos, or not spying on people, or not helping corporations, or keeping your tools simple and lightweight, then you'll probably like Tickle. If you don't care, then using something like Medium probably fits your needs better.

### Q: What if I want custom functionality, but don't know programming at all?

**A**: Check the [examples](examples.md) first, and see if there's something for you. Otherwise, write to us! Find us on X or Y, and shoot your request. Maybe we'll get to it. 

TODO: specify where to find us

### Q: Everything in the browser? Isn't that bad for SEO?

**A**: Who cares? SEO is dead. No one finds blogs organically by googling them, the first pages are entirely occupied by clickbait. If your articles will be shared, they will be shared by people, and the technical side of your page counts zilch there

### Q: Isn't it bad for performance?

**A**: Again, who cares? For Facebook, a microsecond could mean a large amount of people will miss some ads, and that costs them profits. But someone who comes to read your blog will wait 300ms to read your article, no worries.

### Q: What about accessibility?

**A**: We haven't started working on this, but we care about this a lot, and we will make sure Tickle websites are accessible, at least in the default blog recipe.

### Q: What's the license?

**A**: The license is upcoming

TODO: decide on a license

### Q: "Tickle"?

**A**: It stands for "article"... Or maybe "art", "tickle"? It's a neat name found by Otto.